vBulletin Mods

The Official vBulletin Modifications Site
https://www.vbulletin.org/forum/showthread.php?t=320291

"Email Options" Set this to SSL/TLS with PHP 5.6?
by Nirjonadda
19 Sep 2015 14:22

1 Attachment(s)
I am getting error from Diagnostics Email test if "Email Options" Set this to SSL/TLS with PHP 5.6, If i am set Email Options setting to None then vBulletin Email Test are working but why i am cannot get working "Email Options" Set this to SSL/TLS with PHP 5.6? PHP 5.5 are still working With SSL/TLS. Please any one can help me ?



Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


Dave 19 Sep 2015 15:05

Well the error states "certificate verify failed" which means that the SSL/TLS certificate of the mail server is either invalid/expired/does not exist.

I believe the certificate check can be disabled, but that requires a modification to the class_mail.php file of vBulletin.

Nirjonadda 19 Sep 2015 15:33

1 Attachment(s)
Please can you let me know, How to reinstalling the certificate mail server for cPanel? I am not using https. Can you post here the modification to the class_mail.php file of vBulletin for disable the certificate check?

Attachment 153369

Dave 19 Sep 2015 15:41

Looked at the function but I don't think it can be disabled since it's built into the fsockopen function of PHP.

Other people managed to solve it by making some other changes:
http://forum.directadmin.com/showthread.php?t=50885
http://akrabat.com/ssl-certificate-v...on-on-php-5-6/

Nirjonadda 19 Sep 2015 15:44

I am already doing this steps but this does not help. Please, do you have any other Suggestions?

Nirjonadda 22 Sep 2015 17:15

Have any one can help me ? Please ....

Kesha 22 Sep 2015 17:26

Make sure ca-certificates is up to date and then try running the command `update-ca-certificates` as root in Terminal. If that still doesn't work for you, as Dave explained, take a look at those URLs. If not, you may want to check out alternative ways to send emails.

Nirjonadda 22 Sep 2015 19:02

Not working the command `update-ca-certificates` as root in Terminal.


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


Dave 22 Sep 2015 20:46

Are you using CentOS? This link explains how to do it on different operating systems.

Also you probably want to remove your IP address from that post.

Nirjonadda 23 Sep 2015 19:24

Doing all thing but does not get fixed.

Zachery 25 Sep 2015 00:41

Are you sure you need it to be on?


All times are GMT. The time now is 02:39.

Powered by vBulletin® Version 3.8.14
Copyright © 2020, MH Sub I, LLC dba vBulletin. All Rights Reserved. vBulletin® is a registered trademark of MH Sub I, LLC
Copyright ©2001 - , vbulletin.org. All rights reserved.